Bug 575940 - Review Request: php-pluf - Pluf
Summary: Review Request: php-pluf - Pluf
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 575956
TreeView+ depends on / blocked
 
Reported: 2010-03-22 19:03 UTC by Guillaume Kulakowski
Modified: 2014-09-02 13:37 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-23 20:19:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
php-pluf-review.txt (8.79 KB, text/plain)
2012-06-30 06:38 UTC, Remi Collet
no flags Details

Description Guillaume Kulakowski 2010-03-22 19:03:51 UTC
Simple, elegant and easy for people used to Django but in PHP5 so easy to deploy
all over the world.
http://www.pluf.org/

---

SPEC:
http://llaumgui.fedorapeople.org/review/php-pluf.spec

SRPM:
http://llaumgui.fedorapeople.org/review/php-pluf-0.7.9-1.20100321git.fc12.src.rpm

RPM:
http://llaumgui.fedorapeople.org/review/php-pluf-0.7.9-1.20100321git.fc12.noarch.rpm



rpmlint:
builder@enterprise ~> rpmlint rpmbuild/**/php-pluf*
rpmbuild/SPECS/php-pluf.spec: W: invalid-url Source0: pluf-master.zip
php-pluf.src: W: invalid-url Source0: pluf-master.zip
2 packages and 1 specfiles checked; 0 errors, 2 warnings.



Pear CompatInfo:
+-----------------------------+---------+---+------------+--------------------+
| Files                       | Version | C | Extensions | Constants/Tokens   |
+-----------------------------+---------+---+------------+--------------------+
| .//*                        | 5.2.4   | 5 | date       | ASSERT_ACTIVE      |
|                             |         |   | gd         | ASSERT_CALLBACK    |
|                             |         |   | hash       | ASSERT_QUIET_EVAL  |
|                             |         |   | json       | ASSERT_WARNING     |
|                             |         |   | mbstring   | DATE_ISO8601       |
|                             |         |   | mysql      | ...CTORY_SEPARATOR |
|                             |         |   | pcre       | ENT_COMPAT         |
|                             |         |   | pgsql      | ENT_NOQUOTES       |
|                             |         |   | SPL        | ENT_QUOTES         |
|                             |         |   | tokenizer  | E_STRICT           |
|                             |         |   |            | E_USER_ERROR       |
|                             |         |   |            | FALSE              |
|                             |         |   |            | ...GNORE_NEW_LINES |
|                             |         |   |            | ...KIP_EMPTY_LINES |
|                             |         |   |            | GD_VERSION         |
|                             |         |   |            | HASH_HMAC          |
|                             |         |   |            | LC_TIME            |
|                             |         |   |            | LOCK_EX            |
|                             |         |   |            | LOCK_UN            |
|                             |         |   |            | MB_CASE_TITLE      |
|                             |         |   |            | NULL               |
|                             |         |   |            | PATH_SEPARATOR     |
|                             |         |   |            | PHP_EOL            |
|                             |         |   |            | PHP_OS             |
|                             |         |   |            | PHP_SAPI           |
|                             |         |   |            | PHP_URL_PATH       |
|                             |         |   |            | PHP_URL_QUERY      |
|                             |         |   |            | PHP_VERSION        |
|                             |         |   |            | PREG_SET_ORDER     |
|                             |         |   |            | ...T_DELIM_CAPTURE |
|                             |         |   |            | ..._SPLIT_NO_EMPTY |
|                             |         |   |            | SEEK_CUR           |
|                             |         |   |            | SEEK_END           |
|                             |         |   |            | SEEK_SET           |
|                             |         |   |            | SORT_DESC          |
|                             |         |   |            | STDIN              |
|                             |         |   |            | STR_PAD_LEFT       |
|                             |         |   |            | TRUE               |
|                             |         |   |            | T_AND_EQUAL        |
|                             |         |   |            | T_ARRAY            |
|                             |         |   |            | T_AS               |
|                             |         |   |            | T_BOOLEAN_AND      |
|                             |         |   |            | T_BOOLEAN_OR       |
|                             |         |   |            | T_CHARACTER        |
|                             |         |   |            | T_CLASS            |
|                             |         |   |            | T_CLOSE_TAG        |
|                             |         |   |            | ...ENCAPSED_STRING |
|                             |         |   |            | T_DIV_EQUAL        |
|                             |         |   |            | T_DNUMBER          |
|                             |         |   |            | T_DOUBLE_ARROW     |
|                             |         |   |            | T_EMPTY            |
|                             |         |   |            | ..._AND_WHITESPACE |
|                             |         |   |            | T_INC              |
|                             |         |   |            | T_ISSET            |
|                             |         |   |            | T_IS_EQUAL         |
|                             |         |   |            | ...REATER_OR_EQUAL |
|                             |         |   |            | T_IS_IDENTICAL     |
|                             |         |   |            | T_IS_NOT_EQUAL     |
|                             |         |   |            | T_IS_NOT_IDENTICAL |
|                             |         |   |            | ...MALLER_OR_EQUAL |
|                             |         |   |            | T_LNUMBER          |
|                             |         |   |            | T_LOGICAL_AND      |
|                             |         |   |            | T_LOGICAL_OR       |
|                             |         |   |            | T_LOGICAL_XOR      |
|                             |         |   |            | T_MINUS_EQUAL      |
|                             |         |   |            | T_MOD_EQUAL        |
|                             |         |   |            | T_MUL_EQUAL        |
|                             |         |   |            | T_OBJECT_OPERATOR  |
|                             |         |   |            | T_OR_EQUAL         |
|                             |         |   |            | T_PLUS_EQUAL       |
|                             |         |   |            | T_PRIVATE          |
|                             |         |   |            | T_SL               |
|                             |         |   |            | T_SL_EQUAL         |
|                             |         |   |            | T_SR               |
|                             |         |   |            | T_SR_EQUAL         |
|                             |         |   |            | T_STRING           |
|                             |         |   |            | T_VARIABLE         |
|                             |         |   |            | T_WHITESPACE       |
|                             |         |   |            | T_XOR_EQUAL        |
|                             |         |   |            | ..._ERR_CANT_WRITE |
|                             |         |   |            | ...D_ERR_EXTENSION |
|                             |         |   |            | ...D_ERR_FORM_SIZE |
|                             |         |   |            | ...AD_ERR_INI_SIZE |
|                             |         |   |            | UPLOAD_ERR_NO_FILE |
|                             |         |   |            | ..._ERR_NO_TMP_DIR |
|                             |         |   |            | UPLOAD_ERR_OK      |
|                             |         |   |            | UPLOAD_ERR_PARTIAL |
|                             |         |   |            | __CLASS__          |
|                             |         |   |            | __FILE__           |
|                             |         |   |            | catch              |
|                             |         |   |            | clone              |
|                             |         |   |            | implements         |
|                             |         |   |            | private            |
|                             |         |   |            | protected          |
|                             |         |   |            | public             |
|                             |         |   |            | throw              |
|                             |         |   |            | try                |
+-----------------------------+---------+---+------------+--------------------+

Comment 2 Remi Collet 2010-09-26 07:49:25 UTC
Quick notes:

Should not requires "php" but php-common (version 5.2.4 according to doc. and pci)

According to doc, should requires
php-pear(Mail)
php-pear(Mail_Mime)

As this package seems quite active, a refresh to more recent version seems usefull before review

As upstream provides a PHPUnit test suite, I think it should be launch during RPM build.

For now it crash (with 20100411 snapshot and with latest from website), this should be investigated.

Comment 3 Remi Collet 2010-09-26 07:56:56 UTC
Could you tell (and probably add a comment in the spec) how do you find the version number ?

Comment 4 Guillaume Kulakowski 2010-09-27 21:16:53 UTC
> how do you find the version number ?
Here : http://projects.ceondo.com/p/pluf/issues/377/

Comment 5 Guillaume Kulakowski 2010-09-27 21:38:57 UTC
This is a new build. On the other hand phpUnit crash. I report bug upstream.

Comment 6 Guillaume Kulakowski 2010-09-27 21:41:35 UTC
with link it's better (sorry) : http://llaumgui.fedorapeople.org/review/php-pluf/

Comment 7 Guillaume Kulakowski 2010-12-28 11:43:18 UTC
New release: 20101110git

SPEC, RPMs and SRPM are avalaible here: http://llaumgui.fedorapeople.org/review/php-pluf/

For information, php-pluf don't use php-unit but SimpleTest not yet in Fedora...

Comment 9 Remi Collet 2012-06-30 06:38:12 UTC
Created attachment 595412 [details]
php-pluf-review.txt

Generated by fedora-review 0.1.3

Comment 10 Remi Collet 2012-06-30 06:41:20 UTC
Sorry for the very very long delay on this review...

APC and memcache are optional dependencies. 
No need to add then, will probably be a must for some webap.

You could consider adding a small note in the %description about his

Please fix the minor typo in %description (language / langage)

No blocker

== APPROVED ==

Comment 11 Guillaume Kulakowski 2012-07-03 11:57:40 UTC
New Package SCM Request
=======================
Package Name: php-pluf
Short Description: PHP WebApp Framework
Owners: llaumgui
Branches: f16 f17 el6 el5
InitialCC:

Comment 12 Gwyn Ciesla 2012-07-03 12:07:47 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2012-07-15 08:55:06 UTC
php-pluf-1.0-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/php-pluf-1.0-1.el5

Comment 14 Fedora Update System 2012-07-15 08:55:58 UTC
php-pluf-1.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-pluf-1.0-1.el6

Comment 15 Fedora Update System 2012-07-15 10:23:03 UTC
php-pluf-1.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/php-pluf-1.0-1.fc16

Comment 16 Fedora Update System 2012-07-15 10:23:45 UTC
php-pluf-1.0-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-pluf-1.0-1.fc17

Comment 17 Fedora Update System 2012-07-15 18:25:50 UTC
php-pluf-1.0-1.el5 has been pushed to the Fedora EPEL 5 testing repository.

Comment 18 Fedora Update System 2012-07-23 20:19:24 UTC
php-pluf-1.0-1.fc16 has been pushed to the Fedora 16 stable repository.

Comment 19 Fedora Update System 2012-07-23 20:19:48 UTC
php-pluf-1.0-1.fc17 has been pushed to the Fedora 17 stable repository.

Comment 20 Fedora Update System 2012-07-31 16:59:15 UTC
php-pluf-1.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 21 Fedora Update System 2012-07-31 16:59:28 UTC
php-pluf-1.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 22 Guillaume Kulakowski 2014-09-01 13:29:47 UTC
Package Change Request
======================
Package Name: php-plug
New Branches: EL-7
Owners: llaumgui

Comment 23 Gwyn Ciesla 2014-09-02 12:27:16 UTC
WARNING: Package does not appear to exist in pkgdb currently.

Comment 24 Guillaume Kulakowski 2014-09-02 13:11:31 UTC
Package Change Request
======================
Package Name: php-pluf
New Branches: EL-7
Owners: llaumgui

> WARNING: Package does not appear to exist in pkgdb currently.
Sory, php-pluf instead of php-plug

Comment 25 Gwyn Ciesla 2014-09-02 13:37:13 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.